3

I am working with this tutorial.
But i got this error on step 5:

Package libtiff4 is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or is only available from another source

E: Package 'libtiff4' has no installation candidate
E: Package 'libtiff4-dev' has no installation candidate
E: Unable to locate package libpthread-stubs0
1

Installing libtiff4 from another source is not possible, because it conflicts with libtiff5.

You can try to build a dummy package with equivs to fulfill the dependency:

apt-get install equivs
equivs-control libtiff4-dev

Edit the control file to give it a version bigger than 4.0.3.

equivs-build libtiff4-dev

and install the package.

  • with this command: equivs-build libtiff4-dev I got this: dh_testdir dh_testroot dh_prep sh: 1: cannot open package: No such file sh: 1: defaults: not found dh_prep: rm -f debian/<package name; defaults to equivs-dummy>.*.debhelper returned exit code 127 debian/rules:13: recipe for target 'install' failed make: *** [install] Error 25 Error in the build process: exit status 2 – nou Jul 7 '15 at 2:37
  • hello !!!! root@nouha-VPCEH16EF:/home/nouha# equivs-build libtiff4-dev dh_testdir dh_testroot dh_prep sh: 1: cannot open package: No such file sh: 1: defaults: not found dh_prep: rm -f debian/<package name; defaults to equivs-dummy>.*.debhelper returned exit code 127 debian/rules:13: recipe for target 'install' failed make: *** [install] Error 25 Error in the build process: exit status 2 – nou Jul 24 '15 at 19:05
-1

the latest version of ubuntu is not support the oracle:

How to install Oracle 11 Release 2 on ubuntu 15.04?

Ubuntu is not a supported platform. I wrote a few howto's in the past, for example, Install Oracle 11gR2 on Ubuntu Linux 11.04 (64-bit) Howto, but since 11.10 there have been too many changes that will complicate the installation, like Ubuntu 12.04 Oracle XE and ORA-00845: MEMORY_TARGET not supported. It's not really worth it anymore.

If you want to install Oracle database 11g I recommend you install Oracle Linux 5, which is free and runs fine under VirtualBox. The later will most likely be necessary if your computer is a laptop or desktop system, since Oracle Linux is made for server hardware.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.